Job Listing Endpoint

Returns a list of jobs in a specified status.

This endpoint supports pagination.

GET https://cabinetry.online/api/jobs/{status}

Parameters

Parameter Type Description
status string Any valid status code

Optional Query Parameters

These optional parameters can be used to filter the jobs returned.

Parameter Type Description
customerId integer ID of a customer

Job status IDs

Each job has an integer status field in API responses. The values used in the core Cabinetry.Online lifecycle are:

Status ID Name (as shown in the application)
0 Processing
1 Pending Approval
2 Pending Payment
3 In Production
4 Job Completed
5 Pending Confirmation
6 Pending Supplier Approval
7 Customer Approved
35 DELETED

Listing status slugs

The {status} path segment in GET https://cabinetry.online/api/jobs/{status} is a listing slug, not the integer job status ID. Use the slugs below to filter job lists.

String Status
allcabinetryonline All Cabinetry Online
allgoflatpacks All goFlatpacks
submitted All Submitted Jobs
production All Production Jobs
processing Processing
completed All Completed Jobs
pending All Pending Jobs
allpendingpayments All Pending Payments
deleted All Deleted Jobs
gcpendingapproval Pending Approval
gcpendingpayment Pending Payment
gcproduction In Production
gcjobcompleted Job Completed
gfpprocessing GFP Processing
gfpsubmitted GFP Submitted
gfppaid GFP Marked as Paid
gfppaymentreceived GFP Payment Received
gfpdelivered GFP Delivered
gfpinstore Awaiting In Store Payment
gfpdirectdebit Awaiting Direct Debit Payment
gfpawaitingapproval Awaiting Approval
gfpproduction GFP In Production
dashboard Dashboard

Response

The response data is returned in the data field and is an array of objects. The objects have the following fields:

Field Type Description
id integer Uniquely identifies this job
customerId integer ID of the customer who created the job
status integer The status of the job
name string The name of the job
description string The description of the job
dispatchMethod integer Method of dispatch for the job
address string Address of the customer
suburb string Suburb of the customer
postcode string Postcode of the customer
variationCost integer Variation cost for the job
freightCost integer Freight cost for the job
dateEntered string Date when the job was created
dateUpdated string Date when the job was last updated
dateSubmitted string Date when the job was submitted by the customer
dateAccepted string Date when the job was accepted by the manufacturer
dateDelivery string Date when the job was delivered to the customer
accepted integer Specifies if a job is job accepted
customerName string Name of the customer
manufacturerName string Name of the manufacturer
variationsConfirmed integer Whether the job's variations have been confirmed
taxRate integer Specifies the tax rate
currency string Specifies the type of currency
cost integer Specifies the total cost of the job
preliminaryCost integer Specifies the cost of the job without minimum usage charges
roomCount integer Specifies the total number of rooms in the job
productCount integer Specifies the total number of products in the job

Response status codes

HTTP status code Meaning
200 Success, data was retrieved successfully
400 Bad Requests, Invalid Status

Example

GET https://cabinetry.online/api/jobs/submitted?customerId=987654
{
    "success": 1,
    "data": [
        {
            "id": 1234567,
            "customerId": 987654,
            "status": 1,
            "name": "TestQFP",
            "description": "",
            "dispatchMethod": 0,
            "address": "",
            "suburb": "",
            "postcode": "",
            "variationCost": 0,
            "freightCost": 0,
            "dateEntered": "2020-05-14T16:09:46+00:00",
            "dateUpdated": "2020-05-14T16:10:53+00:00",
            "dateSubmitted": "2020-05-14T16:10:53+00:00",
            "dateAccepted": "-001-11-30T00:00:00+00:00",
            "dateDelivery": "-001-11-30T00:00:00+00:00",
            "accepted": 0,
            "customerName": "Customer Name",
            "manufacturerName": "Manufacturer Name",
            "variationsConfirmed": 0,
            "taxRate": 15,
            "currency": "NZD",
            "cost": 123.45,
            "roomCount": "1",
            "productCount": 4
        }
    ]
}